Subject: [manet] draft-ietf-manet-smf-10 Writeup and Request to Publish as RFC

From: Ian Chakeres <[email-masked]>
Date: Fri, 23 Jul 2010 17:26:25 -0400

I would like to request that SMF (draft-ietf-manet-smf-10.txt) be published as an experimental RFC, on behalf of the MANET WG.

I (Ian Chakeres - [email-masked]) will act as the WG chair shepherding this document.

Below is the writeup.

Thanks.
Ian Chakeres

===SMF WRITE-UP===

    1. Have the chairs personally reviewed this version of the Internet Draft (I-D), and in particular, do they believe this I-D is ready to forward to the IESG for publication?

 YES.

    2. Has the document had adequate review from both key WG members and key non-WG members? Do you have any concerns about the depth or breadth of the reviews that have been performed?

 YES the ID has been adequately reviewed.

    3. Do you have concerns that the document needs more review from a particular (broader) perspective (e.g., security, operational complexity, someone familiar with AAA, etc.)?

 NO we do not have any particular concerns.

    4. Do you have any specific concerns/issues with this document that you believe the ADs and/or IESG should be aware of? For example, perhaps you are uncomfortable with certain parts of the document, or have concerns whether there really is a need for it. In any event, if your issues have been discussed in the WG and the WG has indicated it that it still wishes to advance the document, detail those concerns in the write-up.

 At numerous times there have been discussions about use of the IP ID field in non-fragmented IPv4 packets. The WG has indicated that inspite of this concern the specification should be published as an experimental RFC.

    5. How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

 Although there has been some small disagreement on a few details, the document overall has significant support. 

    6. Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarize the areas of conflict in separate email to the Responsible Area Director.

 NO.

    7. Have the chairs verified that the document adheres to all of the ID Checklist items ?

 The current document contains an obsolete reference, and the editor will update it in the next revision. This change does not affect the technical content of the document.

    8. Is the document split into normative and informative references? Are there normative references to IDs, where the IDs are not also ready for advancement or are otherwise in an unclear state? (note here that the RFC editor will not publish an RFC with normative references to IDs, it will delay publication until all such IDs are also ready for publication as RFCs.)

 YES the references are split into normative and informative references.

    9. What is the intended status of the document? (e.g., Proposed Standard, Informational?)

 Experimental.

   10. For Standards Track and BCP documents, the IESG approval announcement includes a write-up section with the following sections:

           * Technical Summary

 This document specifies some simple mechanisms to distribute multicast data packets within a Mobile Ad-hoc Network (MANET).

           * Working Group Summary

 This document provides basic and simple multicast forwarding that can complement the on-going unicast routing protocol efforts. Additionally, this document describes several different reduced relay set algorithms that can be used to make multicast dissemination more efficient.

           * Protocol Quality

 Several interoperable implementations of SMF exist; although I am aware of only one being publicly available. Note: that several of the methods laid out in SMF have been included in many MANET protocols and their implementations.